# Type alias InputFieldMapping

InputFieldMapping: { hidden?: boolean; nolabel?: boolean; orderindex?: number; rowcustomcss?: string; validator?: ((fieldValue: string | string[], field: WidgetAnnotation, args: { caller: ValidationCallerType }) => boolean | string) }

Defines appearance, behavior, and validation settings for the input field inside the Form Filler dialog.

#### Type declaration

- ##### `Optional` hidden?: boolean

  ### Property

  Set to true to hide the field from the list of Form Filler fields.

- ##### `Optional` nolabel?: boolean

  ### Property

  Set to true to hide the field label and display the full-width input control.

- ##### `Optional` orderindex?: number

  ### Property

  Optional. Specifies the order of fields in the Form Filler dialog box.

- ##### `Optional` rowcustomcss?: string

  ### Property

  Applies an additional custom CSS class to the outer DOM container of the form field input control.

- ##### `Optional` validator?: ((fieldValue: string | string[], field: WidgetAnnotation, args: { caller: ValidationCallerType }) => boolean | string)

  - - (fieldValue: string | string[], field: WidgetAnnotation, args: { caller: ValidationCallerType }): boolean | string

    - ### Property

      Custom validator function called on the mapped field before saving changes or after changing the value if GcProps.validateoninput is set to true. Return true or null for a successful result. Return a string with a validation error message for failure (to be displayed in the user interface).

      #### Parameters

      - ##### fieldValue: string | string[]

      - ##### field: WidgetAnnotation

      - ##### args: { caller: ValidationCallerType }

        - ##### caller: ValidationCallerType

      #### Returns boolean | string